Bug 502944 - READ CAPACITY failed on 10TB LUN
READ CAPACITY failed on 10TB LUN
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
ppc64 Linux
medium Severity medium
: rc
: ---
Assigned To: Ameet Paranjape
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 17:29 EDT by Nate Straz
Modified: 2013-03-07 20:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] ibmvscsi: Add 16 byte CDB support (752 bytes, text/plain)
2009-05-28 10:20 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description Nate Straz 2009-05-27 17:29:07 EDT
Description of problem:

After configuring a 10TB LUN into pSeries LPAR I get the following messages on the console and I cannot see the complete LUN.

sdb : very big device. try to use READ CAPACITY(16).
sdb : READ CAPACITY(16) failed.
sdb : status=0, message=00, host=5, driver=00
sdb : use 0xffffffff as device size
SCSI device sdb: 4294967296 512-byte hdwr sectors (2199023 MB)

[root@kent-p1 ~]# cat /proc/partitions
major minor  #blocks  name
...
   8    16 2147483648 sdb

Output from IVM virtual storage page:

Name,Storage Pool,Assigned Partition,Size,Physical Location Code
hdisk2,,basic-p1 (2) basic-p2 (3),9.55 TB,U788C.001.AAA6467-P1-C14-C1-T1-W210000D023ABB2DD-L0

Version-Release number of selected component (if applicable):
kernel-2.6.18-150.el5

How reproducible:
Every time

Steps to Reproduce:
1. Connect a 2TB+ LUN to a pSeries LPAR
2. Check dmesg for detected size of LUN
3.
  
Actual results:

LUN is truncated


Expected results:
LUN should be full size (10TB in this case)

Additional info:
Comment 1 IBM Bug Proxy 2009-05-28 09:41:06 EDT
------- Comment From ameet@austin.ibm.com 2009-05-28 09:28 EDT-------
---Problem Description---
Reverse mirror of Red Hat Bugzilla 502944 to IBM
Contact Information = N/A

---Additional Hardware Info---
N/A


---uname output---

Machine Type = PowerPC

---Steps to Reproduce---

---Not Yet Classified Component Data---
Comment 2 IBM Bug Proxy 2009-05-28 10:20:49 EDT
------- Comment From brking@us.ibm.com 2009-05-28 10:13 EDT-------
Nate,

Can you try the attached patch and see if that fixes the issue for you?

Thanks,

Brian
Comment 3 IBM Bug Proxy 2009-05-28 10:20:54 EDT
Created attachment 345767 [details]
[PATCH] ibmvscsi: Add 16 byte CDB support


------- Comment on attachment From brking@us.ibm.com 2009-05-28 10:12 EDT-------


Adds support for 16 byte CDBs to the ibmvscsi driver.
Comment 4 Nate Straz 2009-05-28 15:14:34 EDT
The issue appears fixed.  I'll run the rest of our tests on this LUN to see if anything else falls out.

sdb : very big device. try to use READ CAPACITY(16).
SCSI device sdb: 20504608768 512-byte hdwr sectors (10498360 MB)
Comment 5 Nate Straz 2009-05-29 15:35:48 EDT
Proposing for an exception as this can cause other problems, like pyparted exceptions when the 10TB disk as a proper GPT label, but the kernel can't see all 10TB of the disk.
Comment 6 IBM Bug Proxy 2009-05-29 15:50:38 EDT
------- Comment From brking@us.ibm.com 2009-05-29 15:48 EDT-------
Patch submitted upstream:

http://www.spinics.net/lists/linux-scsi/msg36361.html
Comment 7 IBM Bug Proxy 2009-06-12 14:20:43 EDT
------- Comment From brking@us.ibm.com 2009-06-12 14:10 EDT-------
Patch accepted upstream:

http://git.kernel.org/gitweb.cgi?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=fbc56f0801f58041a4372a030933bac076b46aad
Comment 12 RHEL Product and Program Management 2009-06-15 14:51:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Don Zickus 2009-06-18 10:51:31 EDT
in kernel-2.6.18-154.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 15 Nate Straz 2009-06-18 17:17:46 EDT
Verified that I can see the 10TB LUN with kernel-2.6.18-154.el5.
Comment 16 IBM Bug Proxy 2009-07-23 17:20:34 EDT
------- Comment From brking@us.ibm.com 2009-07-23 17:13 EDT-------
Verified the fix is in RHEL 5.4 Snap 3.
Comment 18 errata-xmlrpc 2009-09-02 04:39:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.